plugins {
    id("inceptum.library")
}

val libs = extensions.getByType<VersionCatalogsExtension>().named("libs")
dependencies {
    api(libs.findLibrary("gson-compile-core").orElseThrow())
    compileOnly(libs.findLibrary("gson-compile-annotations").orElseThrow())
    annotationProcessor(libs.findLibrary("gson-compile-processor").orElseThrow())
}

tasks.withType<JavaCompile> {
    options.compilerArgs.add("-AgsonCompileNoReflect")
}