package io.gitlab.jfronny.inceptum.common;

import io.gitlab.jfronny.commons.http.client.HttpClient;
import io.gitlab.jfronny.commons.logging.Logger;
import io.gitlab.jfronny.commons.logging.StdoutLogger;

import java.io.IOException;

public class InceptumEnvironmentInitializer {
    public static void initialize() throws IOException {
        Logger.registerFactory(InceptumEnvironmentInitializer::defaultFactory);
        HttpClient.setUserAgent("jfmods/inceptum/" + BuildMetadata.VERSION);
        InceptumConfig.load();
    }

    public static Logger defaultFactory(String name) {
        return StdoutLogger.fancy(name);
    }
}
